MODULE par_my_trc
   !!======================================================================
   !!                        ***  par_my_trc  ***
   !! TOP :   set the MY_TRC parameters
   !!======================================================================
   !! History :   2.0  !  2007-12  (C. Ethe, G. Madec)  revised architecture
   !!----------------------------------------------------------------------
   !! NEMO/TOP 3.3 , NEMO Consortium (2010)
   !! $Id$ 
   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
   !!----------------------------------------------------------------------

   IMPLICIT NONE

#if defined key_my_trc
   !!---------------------------------------------------------------------
   !!   'key_my_trc'                     user defined tracers (MY_TRC)
   !!---------------------------------------------------------------------
   LOGICAL, PUBLIC, PARAMETER ::   lk_my_trc  = .TRUE.   !: PTS flag 
   INTEGER, PUBLIC            ::   jp_my_trc      !: number of PTS tracers

#else
   !!---------------------------------------------------------------------
   !!   Default                           No user defined tracers (MY_TRC)
   !!---------------------------------------------------------------------
   LOGICAL, PUBLIC, PARAMETER ::   lk_my_trc   = .FALSE.  !: MY_TRC flag 
   INTEGER, PUBLIC            ::   jp_my_trc        !: No MY_TRC tracers
#endif

   ! Starting/ending PISCES do-loop indices (N.B. no PISCES : jpl_pcs < jpf_pcs the do-loop are never done)
   INTEGER, PUBLIC ::   jp_myt0             !: First index of MY_TRC passive tracers
   INTEGER, PUBLIC ::   jp_myt1             !: Last  index of MY_TRC passive tracers

   INTEGER, PUBLIC ::   jpmyt0, jpmty1, jpmyt2         !: Last  index of MY_TRC passive tracers
   !!======================================================================
END MODULE par_my_trc
