MODULE par_trc
   !!======================================================================
   !!                        ***  par_trc  ***
   !! TOP :   set the passive tracers parameters
   !!======================================================================
   !! History :    -   !  1996-01  (M. Levy)  original code
   !!              -   !  2000-04  (O. Aumont, M.A. Foujols)  HAMOCC3 and P3ZD
   !!             1.0  !  2004-03  (C. Ethe) Free form and module
   !!             2.0  !  2007-12  (C. Ethe, G. Madec)  revised architecture
   !!----------------------------------------------------------------------
   USE par_kind          ! kind parameters
   !
   !
   USE par_pisces
   USE par_c14  
   USE par_cfc
   USE par_age 
   USE par_my_trc

   IMPLICIT NONE

   INTEGER, PUBLIC, PARAMETER  :: jptra_max = 100    !   Maximum number of passive tracers
   INTEGER, PUBLIC             :: jptra     ! Total number of tracers
   INTEGER, PUBLIC             :: jp_lc     ! Total number of tracers

   ! Passive tracers : Maximum number of tracers. Needed to define data structures
   ! --------------- 
   INTEGER, PUBLIC,  PARAMETER ::   jpmaxtrc = 100
   REAL(wp), PUBLIC  :: rtrn  = 0.5 * EPSILON( 1.e0 )    !: truncation value

   !!----------------------------------------------------------------------
   !! NEMO/TOP 3.3 , NEMO Consortium (2010)
   !! $Id$ 
   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
   !!======================================================================
END MODULE par_trc
